/*
 *    Copyright (c) 2016 by  Maciej Wiecierzewski
 */

function Hedgehog(xMin, xMax, y, velocity, game, group)
{
    var sprite = game.add.sprite(xMin, y, 'hedgehog');
    sprite.animations.add('walk');

    sprite.hedgehog = this;
    sprite.updateVelocity = function() { this.hedgehog.updateVelocity(); };

    game.physics.arcade.enable(sprite);
    sprite.body.gravity.y = 10;
    sprite.anchor.setTo(0.5, 0);
    sprite.animations.play('walk', velocity*0.64, true);
    sprite.scale.x = -1;

    group.add(sprite);

    this.sprite = sprite;
    this.direction = 'right';
    this.xMin = xMin+25;
    this.xMax = xMax-25;
    this.velocity = velocity;
}

//------------------------------------------------------------------------------

Hedgehog.prototype.reverse = function()
{
    if(this.direction === 'left')
        this.direction = 'right';
    else if(this.direction === 'right')
        this.direction = 'left';

    this.sprite.scale.x *= -1;
}

//------------------------------------------------------------------------------

Hedgehog.prototype.updateVelocity = function()
{
    var d = 0;
    if(this.direction === 'left')
        d = -this.velocity;
    else if(this.direction === 'right')
        d = this.velocity;

    this.sprite.body.velocity.x = d;

    if(this.sprite.x > this.xMax)
    {
        this.sprite.x = this.xMax;
        this.reverse();
    }
    else if(this.sprite.x < this.xMin)
    {
        this.sprite.x = this.xMin;
        this.reverse();
    }
}
