/*
 *    Copyright (c) 2016 by  Maciej Wiecierzewski
 */

var Loader = function(game) {}

Loader.prototype.preload = function()
{
    var game = this.game;

    game.stage.backgroundColor = "#000";

    this.loadingText = this.add.text(80, 350, "Loading...", { fontSize: '36px', fill: '#fff'});
    this.add.text(10, 10, "sound effects credits:\nouch sounds - Dorothy Jean Thompson (djtvoiceovers.com)\ngrass falls (cuts) - Simon Panrucker\njump sound - IgnasD\nbubbles - blue2107",
        { fontSize: '12px', fill: '#999'});

    //game.load.spritesheet('hedgehog', 'assets/hedgehog_spritesheet.png', 60, 45);
    var hedgehog = this.add.sprite(0, 460, 'hedgehog');
    hedgehog.anchor.setTo(0.5, 0.5);
    hedgehog.scale.x *= -1;
    hedgehog.animations.add('walk');
    hedgehog.animations.play('walk', 30*2, true);

    this.add.tween(hedgehog).to( { x: "+1000" }, 33600/2, "Linear", true);

    game.load.spritesheet('speaker_icon', 'assets/speaker_icon.png', 80, 70);

    game.load.spritesheet('bubble_bg', 'assets/bubble_bg.png', 70, 70);
    game.load.spritesheet('bubble_md', 'assets/bubble_md.png', 45, 45);
    game.load.spritesheet('bubble_sm', 'assets/bubble_sm.png', 22, 22);

    game.load.atlas('woofy', 'assets/woofy_sprites.png', 'assets/woofy_atlas.json');

    game.load.image('ledge_tile', 'assets/ledge_tile.png');
    game.load.image('grass_tile', 'assets/grass_tile.png');
    game.load.image('grass_tile_top', 'assets/grass_tile_top.png');
    game.load.image('grass_tile_top2', 'assets/grass_tile_top2.png');
    game.load.image('grass_left', 'assets/grass_left.png');
    game.load.image('grass_right', 'assets/grass_right.png');
    game.load.image('ground_tile', 'assets/ground_tile.png');
    game.load.image('ground_left', 'assets/ground_left.png');
    game.load.image('ground_right', 'assets/ground_right.png');
    game.load.image('cloud_tile', 'assets/cloud_tile.png');
    game.load.image('cloud_front', 'assets/cloud_front.png');
    game.load.image('cloud_back', 'assets/cloud_back.png');
    game.load.image('background', 'assets/background.png');

    game.load.audio('landing', 'assets/grass_fall.mp3');
    game.load.audio('steps', 'assets/steps.mp3');
    game.load.audio('jump1', 'assets/jump1.mp3');
    game.load.audio('jump2', 'assets/jump2.mp3');
    game.load.audio('ouch1', 'assets/ouch1.mp3');
    game.load.audio('ouch2', 'assets/ouch2.mp3');
    game.load.audio('ouch3', 'assets/ouch4.mp3');
    game.load.audio('ouch4', 'assets/ouch5.mp3');
    game.load.audio('ouch5', 'assets/ouch6.mp3');
    game.load.audio('ouch6', 'assets/ouch7.mp3');
    game.load.audio('ouch7', 'assets/ouch8.mp3');
    game.load.audio('pop1', 'assets/pop1.mp3');
    game.load.audio('pop2', 'assets/pop2.mp3');
    game.load.audio('pop3', 'assets/pop3.mp3');
    game.load.audio('pop4', 'assets/pop4.mp3');
    game.load.audio('pop5', 'assets/pop5.mp3');
    game.load.audio('pop6', 'assets/pop6.mp3');

    game.load.json('level_data', 'assets/level_data.json');
}

//------------------------------------------------------------------------------

Loader.prototype.create = function()
{
    var playButton = this.game.add.button(650, 350, 'play_button', this.startGame, this, 0, 1, 1, 1);
    this.loadingText.text = "Loaded";
}

//------------------------------------------------------------------------------

Loader.prototype.startGame = function()
{
    this.game.state.start("game");
}
