/*
 *    Copyright (c) 2016 by  Maciej Wiecierzewski
 */

GameState.prototype.preRender = function()
{
    var game = this.game;

    var clouds = this.clouds;

    var player = this.player;
    var playerSprite = this.player.sprite;
    var playerBody = this.player.bodySprite;

    if(game.paused)
    {
        return;
    }

    this.background.tilePosition.y = -game.camera.y;

    clouds.callAll('updatePos');

    // moves the player along with the cloud he's standing on
    if(player.locked)
    {
        var deltaX = player.lockedTo.x - player.lockedToX;
        player.lockedToX = player.lockedTo.x;

        playerBody.x += deltaX;     // the player can keep on moving horizontally
        playerBody.y = player.lockedTo.y - playerBody.height;

        if(playerBody.body.velocity.x !== 0)
        {
            playerBody.body.velocity.y = 0;
        }
    }

    // updating player animation state
    this.player.animation.update();

    // updating player sprite position
    playerSprite.x = playerBody.x-playerSprite.scale.x*9;
    playerSprite.y = playerBody.y-140;
}
